Package org.eclipse.birt.report.model.api.metadata

# Interface IObjectDefn

All Known Subinterfaces:
  `IElementDefn`, `IStructureDefn`

public interface IObjectDefn
Base Interface for methods common to elements and structures. This base interface defines methods to work generically with these two kinds of objects.

## Method Summary

Modifier and Type
Method
Description
`IPropertyDefn`
`findProperty(String propName)`
Gets a property definition given the property name.
`String`
`getDisplayName()`
Gets the display name.
`Object`
`getDisplayNameKey()`
Gets the resource key for the display name.
`String`
`getName()`
Gets the internal name for the element.
`Iterator<IPropertyDefn>`
`getPropertyIterator()`
Returns an iterator over the property definitions.
`Iterator<IPropertyDefn>`
`propertiesIterator()`
Returns an iterator over the property definitions.

## Method Details

### getDisplayName

String getDisplayName()
Gets the display name.

Returns:
  Returns the display name.

### getDisplayNameKey

Object getDisplayNameKey()
Gets the resource key for the display name.

Returns:
  The display name resource key.

### getName

String getName()
Gets the internal name for the element.

Returns:
  Returns the name.

### findProperty

IPropertyDefn findProperty(String propName)
Gets a property definition given the property name.

Parameters:
  `propName` - the name of the property to get
Returns:
  the property with that name, or null if the property cannot be found

### getPropertyIterator

Iterator<IPropertyDefn> getPropertyIterator()
Returns an iterator over the property definitions. The `IPropertyDefn` s in the iterator will be sorted by there localized names.

Returns:
  an iterator over the property definitions.

### propertiesIterator

Iterator<IPropertyDefn> propertiesIterator()
Returns an iterator over the property definitions. The `IPropertyDefn` s in the iterator are not sorted.

Returns:
  an iterator over the property definitions.